<?php

namespace svile\sw;

use pocketmine\scheduler\PluginTask;
use pocketmine\Server;

class SWtimer extends PluginTask
{
    public function __construct(SWmain $plugin)
    {
        parent::__construct($plugin);
    }

    public function onRun($tick)
    {
        foreach ($this->getOwner()->arenas as $SWname => $SWarena) {
            $SWarena->tick();
        }
    }
}